"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FloatingTextbox = void 0;
const react_1 = __importDefault(require("react"));
const FloatingTextbox = ({ additionalClassName = '', caption, helpText = '', id, placeholder, ...rest }) => {
    return (react_1.default.createElement("div", { className: "form-floating mb-3" },
        react_1.default.createElement("input", { className: "form-control " + additionalClassName, id: id, name: id, placeholder: placeholder, ...rest }),
        react_1.default.createElement("label", { htmlFor: id }, caption),
        (helpText && helpText.length > 0)
            ? react_1.default.createElement("div", { id: id + 'Help', className: "form-text", style: { fontSize: "smaller" } }, helpText)
            : null));
};
exports.FloatingTextbox = FloatingTextbox;
//# sourceMappingURL=floatingTextbox.js.map